Skip to main content
GET
/
products
/
reviews
Fetch Product Reviews
curl --request GET \
  --url https://services.leadconnectorhq.com/products/reviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": [
    "<array>"
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location
limit
number
default:0

The maximum number of items to be included in a single page of results

Example:

20

offset
number
default:0

The starting index of the page, indicating the position from which the results should be retrieved.

Example:

0

sortField
enum<string>

The field upon which the sort should be applied

Available options:
createdAt,
rating
Example:

"rating"

sortOrder
enum<string>

The order of sort which should be applied for the sortField

Available options:
asc,
desc
Example:

"desc"

rating
number

Key to filter the ratings

Example:

4

startDate
string

The start date for filtering reviews

Example:

"2023-01-01T00:00:00Z"

endDate
string

The end date for filtering reviews

Example:

"2023-12-31T23:59:59Z"

productId
string

Comma-separated list of product IDs

Example:

"60d21b4667d0d8992e610c88,60d21b4667d0d8992e610c89,60d21b4667d0d8992e610c8a"

storeId
string

Comma-separated list of store IDs

Example:

"60d21b4667d0d8992e610c85,60d21b4667d0d8992e610c86,60d21b4667d0d8992e610c87"

Response

Successful response

data
array[]
required

Array of Collections

total
number
required

The total count of the collections present, which is useful to calculate the pagination

Last modified on March 4, 2026